get
https://api.swoogo.com/api/v1/webhooks
Retrieves all webhook configurations. Webhooks send HTTP POST callbacks to your specified URL when events occur in Swoogo (e.g., new registration, session check-in, payment received). Each webhook defines the target URL, trigger event type, and which webhook group it belongs to.
Available Fields
These are the standard fields available for configuring a webhook:
| Name | Type | Description |
|---|---|---|
id | integer | The ID of the webhook. |
name | string | The name of the webhook. |
url | string | The URL that data should be sent to. |
trigger_object | string | The object that will cause the webhook to run. |
trigger_on_insert | boolean | Trigger when the object is inserted. |
trigger_on_update | boolean | Trigger when the object is updated. |
trigger_on_delete | boolean | Trigger when the object is deleted. |
fields | array | Array of fields which, when changed, will cause the webhook to run. |
public_user | boolean | Run the webhook for a public user. |
admin_user | boolean | Run the webhook for an admin user. |
api_call | boolean | Run the webhook on an API call. |
any_event | boolean | Run the webhook for any events (only applicable for some objects such as registrants). |
event_ids | array | Array of event IDs to run the webhook for (if any_event is false). |
all_fields | boolean | Should this run for changes to all fields? |
Extra Fields
Additional information that can be returned by specifying the desired fields in the expand parameter:
| Name | Type | Description |
|---|---|---|
group | object | Details about the Webhook Group associated with the item. |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
